package javax.imageio.metadata;

import org.w3c.dom.Node;
import javax.imageio.IIOException;

public class IIOInvalidTreeException extends IIOException
{
    protected Node offendingNode;
    
    public IIOInvalidTreeException(String message, Node offendingNode) {
        super(message);
        this.offendingNode = null;
        this.offendingNode = offendingNode;
    }
    
    public IIOInvalidTreeException(String message, Throwable cause, Node offendingNode) {
        super(message, cause);
        this.offendingNode = null;
        this.offendingNode = offendingNode;
    }
    
    public Node getOffendingNode() {
        return this.offendingNode;
    }
}
